@import "../../styles/utils/mixins.scss";
@import "../../styles/utils/variables.scss";

.modal {
  background: rgba(33, 33, 33, 0.9);
  height: 100vh;
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 100;

  .modal-box {
    background-color: $bg-color;
    display: flex;
    flex-direction: column;

    &__summary {
      height: 300px;
      width: 500px;
    }

    &__info {
      width: 70%;
    }

    &__default {
      height: 250px;
      width: 400px;
    }

    @media screen and (max-width: $sm) {
      width: 250px;
    }

    &__close {
      padding: 5px 5px;

      &--summary {
        flex: 0 0 10%;
      }

      &--default {
        flex: 0 0 15%;
      }

      .icon {
        filter: contrast(0.25);
      }
    }

    &__message {
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;

      &--summary {
        flex: 0 0 60%;
        justify-content: space-evenly;
      }

      &--default {
        flex: 0 0 50%;
        justify-content: space-evenly;
      }
    }

    &__button {
      display: flex;
      align-items: center;
      padding: 0 20px;

      &--summary {
        flex: 0 0 30%;
      }

      &--default {
        flex: 0 0 35%;
      }
    }
  }
}

.btn-1 {
  margin-right: 54px;
}

.btn-2 {
  margin-left: 54px;
}
